/* http://meyerweb.com/eric/tools/css/reset/ 
   v2.0 | 20110126
   License: none (public domain)
*/

html, body, div, span, applet, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
a, abbr, acronym, address, big, cite, code,
del, dfn, em, img, ins, kbd, q, s, samp,
small, strike, strong, sub, sup, tt, var,
b, u, i, center,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td,
article, aside, canvas, details, embed, 
figure, figcaption, footer, header, hgroup, 
menu, nav, output, ruby, section, summary,
time, mark, audio, video {
  margin: 0;
  padding: 0;
  border: 0;
  font-size: 100%;
  font: inherit;
  vertical-align: baseline;
}
/* HTML5 display-role reset for older browsers */
article, aside, details, figcaption, figure, 
footer, header, hgroup, menu, nav, section {
  display: block;
}
body {
  line-height: 1;
}
ol, ul {
  list-style: none;
}
blockquote, q {
  quotes: none;
}
blockquote:before, blockquote:after,
q:before, q:after {
  content: '';
  content: none;
}
table {
  border-collapse: collapse;
  border-spacing: 0;
}

/* ---------------------------------------------------
CONTENT STYLING
--------------------------------------------------- */

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  font-family: 'Outfit', Geneva, Tahoma, sans-serif;
  line-height: 1.5;
  background-image: url("images/gradient-background2.png");
  background-size: contain;
  color: #000;
}

header, main, .section5 {
    max-width: 1200px;
}

/* ===============================  Header  =============================== */

header {
  margin: 0 auto;
  padding: 2.5rem 1rem;
  display: flex;
  justify-content: space-between;
  align-items: center;
  border-bottom: #000 2px solid;
  padding-bottom: 2.3rem;
}

header a {
  text-decoration: none;
  color: #000;
}

header a:hover,
header a:focus,
header a:active {
  color: #6D1DC6;
  transition: background-color 0.3s ease-in-out 0.2s;
}

.logo1 {
  width: 8.2rem;
  height: auto;
}

/* ===============================  Main Layout  =============================== */

main {
  margin: 2rem auto;
}

h1 {
  line-height: 1.3;
  font-size: 2.7rem;
  font-weight: 700;
  color: #6D1DC6;
  margin-bottom: 2rem;
}

.subtitle {
  font-size: 1.5rem;
  margin-bottom: 1rem;
  font-weight: 500;
}

.intro {
    justify-content: space-between;
    align-items: center;
    margin-top: 4rem;
    margin-bottom: 4rem;
}

.journey {
    background-color: #E4D2F8;
    justify-content: space-between;
    align-items: center;
    padding-top: 3rem; 
}

.journey img {
    border-radius: 0.8rem;
}

.journey h1 {
  color: #6D1DC6;
}

.text2 {
  margin-right: 3rem;
  color: #6D1DC6;
}

.career {
    background-color: #E4D2F8;
    justify-content: space-between;
    align-items: center;
    padding-bottom: 3rem;
    padding-top: 3rem;
}

.career img {
    border-radius: 0.8rem;
}

.career h1 {
  color: #6D1DC6;
}

.text3 {
    margin-left: 3rem;
    color: #6D1DC6;
}

.future {
    justify-content: space-between;
    align-items: center;
    margin-bottom: 2.5rem;
    padding-bottom: 4rem;
    border-bottom: #000 2px solid;
}

.text4 {
    margin-left: 3rem;
}

/* ===============================  footer  =============================== */

footer p {
    color: #6D1DC6;
    font-weight: 500;
}

  .section5 {
    margin: 0rem auto;
    display: flex;
    border-bottom: #000 2px solid;
}

nav ul {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

nav ul li {
    padding: 1rem 0rem 1rem 1.5rem;
}

nav ul li a {
    text-decoration: none;
    font-weight: 500;
    color: #000;
}

nav ul li a:hover,
nav ul li a:focus,
nav ul li a:active {
    color: #6D1DC6;
    transition: background-color 0.3s ease-in-out 0.2s; 
}

.logo2 {
    width: 3rem;
    height: auto;
}

.logo2:hover,
.logo2:focus,
.logo2:active {
    fill: #6D1DC6;
    transition: background-color 0.3s ease-in-out 0.2s; 
}

.copyright {
  color: #ff1c6a;
  padding-top: 1rem;
  padding-bottom: 2rem;
  text-align: center;
}

/* ===============================  Media Queries Responsive Design  =============================== */


@media (min-width: 450px) {
    body {
      font-size: 1rem;
      padding: 0 2rem;
    }
  
    .intro, .journey, .career, .future {
      display: flow-root;
      flex-wrap: wrap;
      flex-direction: column;
    }
  
    .intro img {
      margin-left: 0rem;
      margin-top: 2rem;
      width: 100%;
      height: auto;
    }
  
    .journey img {
      margin: auto 2rem;
      width: 85%;
      height: auto;
    }
  
    .career img {
      margin: auto 2rem;
      width: 85%;
      height: auto;
    }
  
    .future img {
      margin-left: 0rem;
      margin-top: 3rem;
      width: 100%;
      height: auto;
    }
  
    .section5 {
      flex-wrap: wrap;
      text-align: center;
      justify-content: center;
      align-items: center;
      margin-bottom: 1.5rem;
      padding-bottom: 1.2rem;
    }
  
    nav ul {
      margin-top: 1.2rem;
    }
}
  
  @media (min-width: 700px) {
    body {
      font-size: 1rem;
      padding: 0 2rem;
    } 
  
    .intro, .journey, .career, .future {
      display: flow-root;
      flex-wrap: wrap;
      flex-direction: column;
    }
  
    .intro img {
      margin-left: 0rem;
      margin-top: 2rem;
      width: 100%;
      height: auto;
    }
  
    .journey img {
      margin: auto 2rem;
      width: 100%;
      height: auto;
    }
  
    .career img {
      margin: auto 2rem;
      width: auto;
      height: 100%;
    }
  
    .future img {
      margin-left: 0rem;
      margin-top: 3rem;
      width: 100%;
      height: auto;
    }
  
    .section5 {
      flex-wrap: wrap;
      text-align: center;
      justify-content: center;
      align-items: center;
      margin-bottom: 1.5rem;
      padding-bottom: 1.2rem;
    }
  
     nav ul {
      margin-top: 1.2rem;
    }
}
  
    @media (min-width: 900px) {
    body {
      font-size: 1rem;
      padding: 0 2rem;
    }
  
    .intro, .journey, .career, .future {
      display: flex;
      flex-wrap: nowrap;
      flex-direction: row;
    }
  
    .intro img {
      margin-left: 3rem; 
      margin-top: 0rem;
      width: auto;
      height: 100%;
    }
  
    .journey img {
      margin: 4.2rem 3.2rem;
      width: auto;
      height: 100%;
    }
  
    .career img {
      margin: 4.2rem 3.2rem;
      width: auto;
      height: 100%;
    }
  
    .future img {
      margin-left: 0rem;
      margin-top: 4rem;
      width: auto;
      height: 100%;
    }
  
    .section5 {
      flex-wrap: nowrap;
      text-align: center;
      justify-content: space-between;
      align-items: center;
      margin-bottom: 3rem;
      padding-bottom: 2.4rem;
    }
  
     nav ul {
      margin-top: 0rem;
    }
}
  
    @media (min-width: 1200px) {
      /* we only need to state the things that will change - all rules above are still active */
    body {
      font-size: 1rem;
      padding: 0 2rem;
    }
  
    .intro, .journey, .career, .future {
      display: flex;
      flex-wrap: nowrap;
      flex-direction: row;
    }
  
    .intro img {
      margin-left: 3rem;
      margin-top: 0rem;
      width: auto;
      height: 100%;
    }
  
    .journey img {
      height: 300px;
      margin: 4.2rem 3.2rem;
    }
  
    .career img {
      height: 300px;
      margin: 4.2rem 3.2rem;
      border-radius: 0.8rem;
    }
  
    .future img {
      margin-left: 0rem;
      margin-top: 4rem;
      width: auto;
      height: 100%;
    } 
  
    .section5 {
      flex-wrap: nowrap;
      text-align: center;
      justify-content: space-between;
      align-items: center;
      margin-bottom: 3rem;
      padding-bottom: 2.4rem;
    }
  
    nav ul {
      margin-top: 0rem;
    }
}